> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Attach settings to a program



## OpenAPI

````yaml post /admin/program/settings
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/program/settings:
    post:
      tags:
        - Manage Program
      summary: Attach settings to a program
      operationId: aaaba46fddc819427033ce1241814024
      requestBody:
        description: Data needed to add settings to a program
        required: true
        content:
          application/json:
            schema:
              properties:
                clinet_id:
                  description: The ID of the client
                  type: string
                id:
                  description: The ID of the program
                  type: integer
                settings_id:
                  description: The ID of the settings
                  type: integer
              type: object
      responses:
        '200':
          description: Successfully added settings to program
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfully Added Settings To Program
                type: object
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````